Search found 1 match

by SeerMax
Fri Apr 23, 2010 12:01 am
Forum: Photoshop-compatible Plugins
Topic: Compatible PlugIns For Adobe Photoshop CS2
Replies: 1
Views: 5577

Compatible PlugIns For Adobe Photoshop CS2

I have Adobe Photoshop CS2 Version 9.0.2 I was looking through the various plug-ins, especially the 'panel'. My concerns are with all the wonderful plug-ins I am very interested in. They all mention that they work with Photoshop CS4; that's not what I have. If I try and use any of thos plug-ins, wil...

Go to advanced search